Bug 93883 - FILESAVE: Bullet is added to empty line when saved as .PPTX
Summary: FILESAVE: Bullet is added to empty line when saved as .PPTX
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-09-03 09:24 UTC by ravingdesi
Modified: 2016-10-13 19:40 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Original file (15.02 KB, application/vnd.oasis.opendocument.presentation)
2015-09-03 09:25 UTC, ravingdesi
Details
Resulting PPTX file with additional bullet (34.25 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-09-03 09:26 UTC, ravingdesi
Details
Screenshot showing slide of original file (9.81 KB, image/png)
2015-09-03 09:26 UTC, ravingdesi
Details
Screenshot showing slide of converted file (10.54 KB, image/png)
2015-09-03 09:27 UTC, ravingdesi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ravingdesi 2015-09-03 09:24:58 UTC
Problem description: 
When saving a list of bullet points with an empty line at the end, a bullet is added when saved as .PPTX. This additional bullet is shown by both LO and MS powerpoint (2013).

Steps to reproduce:
1. Download https://dl.dropboxusercontent.com/u/17406199/bugtmp/Bug20.odp
2. Save as pptx
For me this resulted in 
https://dl.dropboxusercontent.com/u/17406199/bugtmp/Bug20.pptx
3. Open again in Impress or MS powerpoint

Current behavior:
An Additional (3rd) bullet is added.
https://dl.dropboxusercontent.com/u/17406199/bugtmp/Bug20_2.png

Expected behavior:
Should look the same as when saved as odp.
https://dl.dropboxusercontent.com/u/17406199/bugtmp/Bug20_1.png
Comment 1 ravingdesi 2015-09-03 09:25:44 UTC
Created attachment 118383 [details]
Original file
Comment 2 ravingdesi 2015-09-03 09:26:04 UTC
Created attachment 118384 [details]
Resulting PPTX file with additional bullet
Comment 3 ravingdesi 2015-09-03 09:26:44 UTC
Created attachment 118385 [details]
Screenshot showing slide of original file
Comment 4 ravingdesi 2015-09-03 09:27:02 UTC
Created attachment 118386 [details]
Screenshot showing slide of converted file
Comment 5 tommy27 2015-09-13 13:15:41 UTC
reproducible under Win8.1 x64 using LibO 5.0.2.1
non reproducible with LibO 4.4.5.1

hence 5.0.x regression that needs bibisecting
status NEW
Comment 6 raal 2015-09-22 13:16:41 UTC
Norbert, could you look at this? Thank you


 ~/bibisect-win32-5.0

f87f9e663c89039254075cc0009d4853d3e4346d is the first bad commit
commit f87f9e663c89039254075cc0009d4853d3e4346d
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Jun 4 02:43:15 2015 -0500

    source sha:2ff13e13f5f1ec7436e99c6ff7c9a863bc1a1572

    source sha:2ff13e13f5f1ec7436e99c6ff7c9a863bc1a1572

:040000 040000 2f72efdc5f143fabd163bba921033671c6029421 09c9fb67f2a915701a86812b589e79b198695d20 M      instdir


git bisect log
# bad: [575cd25f0560684895018d8fcfb1818dd4dd1c9b] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
# good: [f449493ae11ac76cc7396bddeaa624a60c565936] source sha:57d6b92b69a31260dea0d84fcd1fc5866ada7adb
git bisect start 'libreoffice-5-0-branch-point' 'oldest'
# good: [da12357c491a0dce5acc0bd1f00c26f89d8f20e6] source sha:c1b9402d49a7cd4bec383f28d397d9d89541f0e0
git bisect good da12357c491a0dce5acc0bd1f00c26f89d8f20e6
# good: [2783cac5d1f18f44ce31f52eb7ae2f0ea17d0c96] source sha:5d7a203bdae1940e4846c4c42f5d733e4ffa4160
git bisect good 2783cac5d1f18f44ce31f52eb7ae2f0ea17d0c96
# good: [c6b55917df3df447007dbb29dd84f24d1203cfb3] source sha:5b8acf459e4a6728ea656e7abd5dfb08ad2ae345
git bisect good c6b55917df3df447007dbb29dd84f24d1203cfb3
# bad: [ac46cb21db25e4b49f28bbe57f5846dbca57e486] source sha:dbf1e124c7fef7cae5392959ab6a697a3a89c609
git bisect bad ac46cb21db25e4b49f28bbe57f5846dbca57e486
# good: [d6a38c4ea76c2485cebb84f4414de2cac1862ced] source sha:a6b9d9a19fb8c5c9f166682f52941aee25b89c94
git bisect good d6a38c4ea76c2485cebb84f4414de2cac1862ced
# good: [b1fd1d1e65c90294913a258c6d091495c2272eb0] source sha:442701de0c110ca58ff41abe6bf7ec4496f8457d
git bisect good b1fd1d1e65c90294913a258c6d091495c2272eb0
# bad: [4a163fabd00ad1cbe4d6f162cdae81cc4c62db5c] source sha:279c665ac1ecb60cb1450691ce3449590041b307
git bisect bad 4a163fabd00ad1cbe4d6f162cdae81cc4c62db5c
# good: [f034a9cabb336313256e379796ae69c61b5ac886] source sha:336bc33a5a46e89ea35cefa75997edde2363c8fc
git bisect good f034a9cabb336313256e379796ae69c61b5ac886
# bad: [3d5c1633f6b1cc733da91fda4afa564fe08ab8ad] source sha:4f864949a9484bbf21911859398743bfe2b1430f
git bisect bad 3d5c1633f6b1cc733da91fda4afa564fe08ab8ad
# good: [006d9449e17ab75cbdb16b709ec432443a1d219d] source sha:dc6dc631e25b6ad3de5018b9be03b129d40d7375
git bisect good 006d9449e17ab75cbdb16b709ec432443a1d219d
# good: [f45f028538d9be19eddd4e363811f503dd8a0740] source sha:cfdd89f10fdc15b36bd0d1023e49ca3752feb51e
git bisect good f45f028538d9be19eddd4e363811f503dd8a0740
# good: [5be38d14a07ff3fddae2df0ce4008d914b0b039d] source sha:69b35cb45375c324c1e28fd4547ce874e4894f30
git bisect good 5be38d14a07ff3fddae2df0ce4008d914b0b039d
# bad: [f87f9e663c89039254075cc0009d4853d3e4346d] source sha:2ff13e13f5f1ec7436e99c6ff7c9a863bc1a1572
git bisect bad f87f9e663c89039254075cc0009d4853d3e4346d
# first bad commit: [f87f9e663c89039254075cc0009d4853d3e4346d] source sha:2ff13e13f5f1ec7436e99c6ff7c9a863bc1a1572
Comment 7 Norbert Thiebaud 2015-09-23 06:11:55 UTC
(In reply to raal from comment #6)
> Norbert, could you look at this? Thank you
> 
> 
>  ~/bibisect-win32-5.0
> 
> f87f9e663c89039254075cc0009d4853d3e4346d is the first bad commit
> commit f87f9e663c89039254075cc0009d4853d3e4346d
> Author: Norbert Thiebaud <nthiebaud@gmail.com>
> Date:   Thu Jun 4 02:43:15 2015 -0500

This is the _bibibsect_ commit. so yeah they are _all_ to my name as I am the one building this bibisect repo.. but
> 
>     source sha:2ff13e13f5f1ec7436e99c6ff7c9a863bc1a1572

^^^ _source sha_
is the ones you want to pay attention to.
you also want to pay attention if there is more than on, that can happen.

In this case the source sha give you

commit 2ff13e13f5f1ec7436e99c6ff7c9a863bc1a1572
Author: Charu Tyagi <charu.tyagi@ericsson.com>
Date:   Tue Apr 14 15:30:00 2015 +0530

    tdf#90607:Issue in bullets not having  any text following.
    
    Change-Id: If0571864684ec484e859c967aebb23c378c302ef
    Reviewed-on: https://gerrit.libreoffice.org/15298
    Reviewed-by: Caolán McNamara <caolanm@redhat.com>
    Tested-by: Caolán McNamara <caolanm@redhat.com>
Comment 8 raal 2015-09-23 07:40:21 UTC
Charu,
please could you look at this? Thank you
Comment 9 Robinson Tryon (qubit) 2015-12-13 11:13:17 UTC Comment hidden (obsolete)
Comment 10 Commit Notification 2016-05-31 16:33:57 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=005ae2fa195bddd1073f3d883cf041d9ac80fad1

tdf#93883 don't add space to empty paragraph when bullet is turned off.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-06-07 07:23:05 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02a5941c6ea747fa26dcbb27aa45ef9faac9c857&h=libreoffice-5-2

tdf#93883 don't add space to empty paragraph when bullet is turned off.

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2016-09-15 20:41:46 UTC
Hi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Regards
Comment 13 Timur 2016-10-13 19:40:22 UTC
I guess it is.